Corrigir o erro "Falha ao buscar" com o Google Chrome no Ubuntu e Linux Mint

8 de março de 2016

! [Falha ao buscar o erro do Google Chrome](fix-failed-to-fetch-chrome.webp) Falha ao buscar o erro do Google Chrome

Recentemente, ao atualizar seu sistema Ubuntu ou Linux Mint, você pode ter encontrado um erro de atualização que diz:

W: Falha ao buscar http://dl.google.com/linux/chrome/deb/dists/stable/Release Incapaz de encontrar a entrada esperada 'main/binary-i386/Packages' no arquivo Release (sources.list incorretos entrada ou arquivo malformado) E: Falha no download de alguns arquivos de índice. Eles foram ignorados ou os antigos usados em seu lugar.

No Ubuntu, o erro é semelhante a:

! [Falha ao buscar erro com Google Chrome no Ubuntu](Chrome-Update-Error.webp) Falha ao buscar erro com Google Chrome no Ubuntu

Enquanto no Linux Mint, o Atualizador de Software gera o seguinte erro:

! [Falha ao buscar erro do Linux Mint](Chrome-Update-Error-3.webp) Falha ao buscar erro do Linux Mint

Não se sinta sozinho. Este é um problema comum enfrentado por muitos após o sistema Google Chrome encerrar o suporte para Linux de 32 bits. Já sabemos sobre isso. Essa mudança deveria afetar apenas os sistemas Linux de 32 bits, mas parece que até mesmo os usuários que executam o Ubuntu 14.04 ou superior em sistemas de 64 bits também são afetados por essa mudança.

Embora esse erro seja pequeno, trivial, é altamente irritante. A boa notícia é que é realmente fácil se livrar desse erro doloroso.

Corrigir Falha ao buscar http://dl.google.com/linux/chrome/deb/dists/stable/Release

O problema aqui é que na entrada da lista de fontes, por padrão, está esperando o pacote de 32 bits. Isso parece estranho, mas é verdade. O que precisamos fazer aqui é alterar a entrada sources.list do Google Chrome e instruí-lo explicitamente para obter

O que precisamos fazer aqui é alterar a entrada sources.list do Google Chrome e instruí-lo explicitamente a obter o pacote de 64 bits. Como modificar o sources.list, você pode perguntar.

Bem, é muito fácil fazer isso. Isso pode ser feito inteiramente na própria linha de comando, mas, mantendo os iniciantes em mente, vou mostrar como fazer isso com um editor de texto gráfico.

Passo 1:

Abra um terminal e use o comando abaixo:

Comandos para usar no terminal

sudo gedit /etc/apt/sources.list.d/google-chrome.list

Isso abrirá o editor de texto Gedit e você verá um arquivo como este:

! [Chrome-Update-Error-1](Chrome-Update-Error-1.webp) Chrome-Update-Error-1

Passo 2:

Aqui, tudo o que precisamos fazer é substituir deb http://dl.google.com/linux/chrome/deb/ stable main pela seguinte linha:

Comandos para usar no terminal

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Deve ser assim agora:

! [Chrome-Update-Error-2](Chrome-Update-Error-2.webp) Chrome-Update-Error-2

Etapa 3:

Salve e feche o arquivo. Agora execute a atualização novamente usando o comando abaixo:

Comandos para usar no terminal

sudo apt-get update

Você não verá o erro novamente. Desfrute de atualizações sem erros agora :)

Confira também a versão original desse post em inglês
Esse post foi originalmente escrito por Abhishek Prakash e publicado no site itsfoss.com. Tradução sujeita a revisão.

Fix ‘Failed To Fetch’ Error With Google Chrome On Ubuntu And Linux Mint

Propaganda
Blog Comments powered by Disqus.
Propaganda